Create Merchant
curl --request POST \
--url https://api.example.com/merchant/createimport requests
url = "https://api.example.com/merchant/create"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/merchant/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 400,
"code": "DUPLICATE_ENTRY",
"message": "Domain already exists"
},
"data": null
}
Merchant
Create Merchant
Create a new merchant account
POST
/
merchant
/
create
Create Merchant
Create a new merchant account for accepting payments.
string
required
Merchant business name
string
required
Merchant domain name
string
Business description
boolean
Indicates if the request was successful
object
Created merchant details
string
Merchant UUID
object
API keys for the merchant
object
Cryptocurrency wallet addresses
Example Request
curl -X POST https://api.transaction.gg/merchant/create \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"name": "My Store",
"domain": "mystore.com",
"description": "Online store description"
}'
Example Response
{
"success": true,
"data": {
"merchant": {
"id": "merchant_uuid",
"name": "My Store",
"description": "Online store description",
"domain": {
"name": "mystore.com",
"isVerified": false,
"verification": "verification_token"
},
"auth": {
"public": "pk_public_key",
"secret": "sk_secret_key"
},
"wallets": {
"BTC": "bitcoin_address",
"ETH": "ethereum_address",
"LTC": "litecoin_address",
"SOL": "solana_address"
}
}
}
}
Error Responses
{
"success": false,
"error": {
"status": 400,
"code": "DUPLICATE_ENTRY",
"message": "Domain already exists"
},
"data": null
}
⌘I